Loading...
Searching...
No Matches
openvdb::v10_0::tools::local_util Namespace Reference

## Enumerations

enum | { DECOMP_INVALID = 0 , DECOMP_VALID = 1 , DECOMP_UNIQUE = 2 }

## Functions

template<typename T>
int | decompose (const math::Mat4< T > &m, math::Vec3< T > &scale, math::Vec3< T > &rotate, math::Vec3< T > &translate)
| Decompose an affine transform into scale, rotation (XYZ order), and translation components.
Vec3i | floorVec3 (const Vec3R &v)
Vec3i | ceilVec3 (const Vec3R &v)
Vec3i | roundVec3 (const Vec3R &v)

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
DECOMP_INVALID |
DECOMP_VALID |
DECOMP_UNIQUE |

## Function Documentation

## ceilVec3()

Vec3i ceilVec3 | ( | const Vec3R & | v | ) |

inline

## decompose()

template<typename T>

int decompose | ( | const math::Mat4< T > & | m,
|  | math::Vec3< T > & | scale,
|  | math::Vec3< T > & | rotate,
|  | math::Vec3< T > & | translate )

Decompose an affine transform into scale, rotation (XYZ order), and translation components.

Returns
  DECOMP_INVALID if the given matrix is not affine or cannot be decomposed, DECOMP_UNIQUE if the matrix has a unique decomposition, DECOMP_VALID otherwise

## floorVec3()

Vec3i floorVec3 | ( | const Vec3R & | v | ) |

inline

## roundVec3()

Vec3i roundVec3 | ( | const Vec3R & | v | ) |

inline